Microsoft Security Bulletin MS16-019 - Important

Security Update for .NET Framework to Address Denial of Service (3137893)

Published: February 9, 2016

Version: 1.0

Executive Summary

This security update resolves vulnerabilities in Microsoft .NET Framework. The more severe of the vulnerabilities could cause denial of service if an attacker inserts specially crafted XSLT into a client-side XML web part, causing the server to recursively compile XSLT transforms.

This security update is rated Important for Microsoft .NET Framework 2.0 Service Pack 2, Microsoft .NET Framework 3.5, Microsoft .NET Framework 3.5.1, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.6, and Microsoft .NET Framework 4.6.1 on affected releases of Microsoft Windows. For more information, see the Affected Software section.

The security update addresses the vulnerabilities by correcting how Microsoft WinForms validates decoder results and by correcting how.NET Framework handles extensible stylesheet language transformations (XSLT). For more information about the vulnerability, see the Vulnerability Information section.

For more information about this update, see Microsoft Knowledge Base Article 3137893.

Affected Software and Vulnerability Severity Ratings

The following software versions or editions are affected. Versions or editions that are not listed are either past their support life cycle or are not affected. To determine the support life cycle for your software version or edition, see Microsoft Support Lifecycle.

The severity ratings indicated for each affected software assume the potential maximum impact of the vulnerability. For information regarding the likelihood, within 30 days of this security bulletin’s release, of the exploitability of the vulnerability in relation to its severity rating and security impact, please see the Exploitability Index in the February bulletin summary.

Operating System Component .NET Framework Stack Overflow Denial of Service Vulnerability - CVE-2016-0033 Windows Forms Information Disclosure Vulnerability - CVE-2016-0047 Updates Replaced
Windows Vista
Windows Vista Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 Important
Denial of Service
(3122646)
Important
Information Disclosure
(3127219)
3122646 – None
3127219 replaces 2656374 in MS12-025
Windows Vista Service Pack 2 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Vista Service Pack 2 Microsoft .NET Framework 4.6[1] Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Vista x64 Edition Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 Important
Denial of Service
(3122646)
Important
Information Disclosure
(3127219)
3122646 – None
3127219 replaces 2656374 in MS12-025
Windows Vista x64 Edition Service Pack 2 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Vista x64 Edition Service Pack 2 Microsoft .NET Framework 4.6[1] Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Server 2008
Windows Server 2008 for 32-bit Systems Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 Important
Denial of Service
(3122646)
Important
Information Disclosure
(3127219)
3122646 – None
3127219 replaces 2656374 in MS12-025
Windows Server 2008 for 32-bit Systems Service Pack 2 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Server 2008 for 32-bit Systems Service Pack 2 Microsoft .NET Framework 4.6[1] Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Server 2008 for x64-based Systems Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 Important
Denial of Service
(3122646)
Important
Information Disclosure
(3127219)
3122646 – None
3127219 replaces 2656374 in MS12-025
Windows Server 2008 for x64-based Systems Service Pack 2 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Server 2008 for x64-based Systems Service Pack 2 Microsoft .NET Framework 4.6[1] Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Server 2008 for Itanium-based Systems Service Pack 2 Microsoft .NET Framework 2.0 Service Pack 2 Important
Denial of Service
(3122646)
Important
Information Disclosure
(3127219)
3122646 – None
3127219 replaces 2656374 in MS12-025
Windows 7
Windows 7 for 32-bit Systems Service Pack 1 Microsoft .NET Framework 3.5.1 Important
Denial of Service
(3122648)
Important
Information Disclosure
(3127220)
None
3127220 replaces 2656373 in MS12-025
Windows 7 for 32-bit Systems Service Pack 1 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows 7 for 32-bit Systems Service Pack 1 Microsoft .NET Framework 4.6/4.6.1 Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows 7 for x64-based Systems Service Pack 1 Microsoft .NET Framework 3.5.1 Important
Denial of Service
(3122648)
Important
Information Disclosure
(3127220)
None
3127220 replaces 2656373 in MS12-025
Windows 7 for x64-based Systems Service Pack 1 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows 7 for x64-based Systems Service Pack 1 Microsoft .NET Framework 4.6/4.6.1 Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Server 2008 R2
Windows Server 2008 R2 for x64-based Systems Service Pack 1 Microsoft .NET Framework 3.5.1 Important
Denial of Service
(3122648)
Important
Information Disclosure
(3127220)
None
3127220 replaces 2656373 in MS12-025
Windows Server 2008 R2 for x64-based Systems Service Pack 1 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Server 2008 R2 for x64-based Systems Service Pack 1 Microsoft .NET Framework 4.6/4.6.1 Important
Denial of Service
(3122661)
Important
Information Disclosure
(3127233)
None
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 Microsoft .NET Framework 3.5.1 Important
Denial of Service
(3122648)
Important
Information Disclosure
(3127220)
None
3127220 replaces 2656373 in MS12-025
Windows 8.1
Windows 8.1 for 32-bit Systems Microsoft .NET Framework 3.5 Important
Denial of Service
(3122651)
Important
Information Disclosure
(3127222)
None
Windows 8.1 for 32-bit Systems Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122654)
Important
Information Disclosure
(3127226)
None
Windows 8.1 for 32-bit Systems Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122660)
Important
Information Disclosure
(3127231)
None
Windows 8.1 for x64-based Systems Microsoft .NET Framework 3.5 Important
Denial of Service
(3122651)
Important
Information Disclosure
(3127222)
None
Windows 8.1 for x64-based Systems Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122654)
Important
Information Disclosure
(3127226)
None
Windows 8.1 for x64-based Systems Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122660)
Important
Information Disclosure
(3127231)
None
Windows Server 2012 and Windows Server 2012 R2
Windows Server 2012 Microsoft .NET Framework 3.5 Important
Denial of Service
(3122649)
Important
Information Disclosure
(3127221)
None
Windows Server 2012 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122655)
Important
Information Disclosure
(3127227)
None
Windows Server 2012 Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122658)
Important
Information Disclosure
(3127230)
None
Windows Server 2012 R2 Microsoft .NET Framework 3.5 Important
Denial of Service
(3122651)
Important
Information Disclosure
(3127222)
None
Windows Server 2012 R2 Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122654)
Important
Information Disclosure
(3127226)
None
Windows Server 2012 R2 Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122660)
Important
Information Disclosure
(3127231)
None
Windows RT 8.1
Windows RT 8.1 Microsoft .NET Framework 4.5.2[1][2] Important
Denial of Service
(3122654)
Important
Information Disclosure
(3127226)
None
Windows RT 8.1 Microsoft .NET Framework 4.6/4.6.1[1][2] Important
Denial of Service
(3122660)
Important
Information Disclosure
(3127231)
None
Windows 10
Windows 10 for 32-bit Systems[3] (3135174) Microsoft .NET Framework 3.5 Important
Denial of Service
Important
Information Disclosure
3124266
Windows 10 for 32-bit Systems[3] (3135174) Microsoft .NET Framework 4.6 Important
Denial of Service
Important
Information Disclosure
3124266
Windows 10 for x64-based Systems[3] (3135174) Microsoft .NET Framework 3.5 Important
Denial of Service
Important
Information Disclosure
3124266
Windows 10 for x64-based Systems[3] (3135174) Microsoft .NET Framework 4.6 Important
Denial of Service
Important
Information Disclosure
3124266
Windows 10 Version 1511 for 32-bit Systems[2](3135173) Microsoft .NET Framework 3.5 Important
Denial of Service
Important
Information Disclosure
3124263
Windows 10 Version 1511 for 32-bit Systems[2](3135173) Microsoft .NET Framework 4.6.1 Important
Denial of Service
Important
Information Disclosure
3124263
Windows 10 Version 1511 for x64-based Systems[2](3135173) Microsoft .NET Framework 3.5 Important
Denial of Service
Important
Information Disclosure
3124263
Windows 10 Version 1511 for x64-based Systems[2](3135173) Microsoft .NET Framework 4.6.1 Important
Denial of Service
Important
Information Disclosure
3124263
Server Core installation option
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation) Microsoft .NET Framework 3.5.1 Important
Denial of Service
(3122648)
Important
Information Disclosure
(3127220)
None
3127220 replaces 2656373 in MS12-025
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation) Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122656)
Important
Information Disclosure
(3127229)
None
Windows Server 2012 (Server Core installation) Microsoft .NET Framework 3.5 Important
Denial of Service
(3122649)
Important
Information Disclosure
(3127221)
None
Windows Server 2012 (Server Core installation) Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122655)
Important
Information Disclosure
(3127227)
None
Windows Server 2012 (Server Core installation) Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122658)
Important
Information Disclosure
(3127230)
None
Windows Server 2012 R2 (Server Core installation) Microsoft .NET Framework 3.5 Important
Denial of Service
(3122651)
Important
Information Disclosure
(3127222)
None
Windows Server 2012 R2(Server Core installation) Microsoft .NET Framework 4.5.2[1] Important
Denial of Service
(3122654)
Important
Information Disclosure
(3127226)
None
Windows Server 2012 R2(Server Core installation) Microsoft .NET Framework 4.6/4.6.1[1] Important
Denial of Service
(3122660)
Important
Information Disclosure
(3127231)
None

[1]For information about changes in support for .NET Framework 4.x, see Internet Explorer and .NET Framework 4.x Support Announcements.

[2]Windows RT 8.1 updates are available only via Windows Update.

[3]Windows 10 updates are cumulative. In addition to containing non-security updates, they also contain all of the security fixes for all of the Windows 10-affected vulnerabilities shipping with the monthly security release. The updates are available via the Microsoft Update Catalog.

Note Windows Server Technical Preview 4 is affected. Customers running this operating system are encouraged to apply the update, which is available via Windows Update.

Vulnerability Information

.NET Framework Stack Overflow Denial of Service Vulnerability - CVE-2016-0033

A denial of service vulnerability exists when .NET Framework fails to properly handle certain Extensible Stylesheet Language Transformations (XSLT). An attacker who successfully exploited this vulnerability could cause server performance to degrade significantly enough to cause a denial of service condition.

To exploit the vulnerability, an attacker could insert specially crafted XSLT into a client-side XML web part, causing the server to recursively compile XSLT transforms. This could cause a denial of service attack and disrupted server availability. The security update addresses the vulnerability by correcting how .NET Framework handles XSLT.

The following table contains links to the standard entry for each vulnerability in the Common Vulnerabilities and Exposures list:

Vulnerability title CVE number Publicly disclosed Exploited
.NET Framework Stack Overflow Denial of Service Vulnerability CVE-2016-0033 No No

Mitigating Factors

Microsoft has not identified any mitigating factors for this vulnerability.

Workarounds

The following workarounds may be helpful in your situation:

  • Do not load XSL stylesheets from untrusted sources

    Exploitation from the vulnerability can be prevented by coding applications to disallow the loading of external XSL stylesheets from untrusted sources.

Windows Forms Information Disclosure Vulnerability - CVE-2016-0047

An information disclosure vulnerability exists in Microsoft .NET Framework that is caused when .NET’s Windows Forms (WinForms) improperly handles icon data. An attacker who successfully exploited the vulnerability could send specially crafted icon data to a .NET service. The icon data could capture information that is then returned to the attacker within the icon’s data.

To exploit the vulnerability, an attacker could upload a specially crafted icon to a remote service in an attempt to retrieve information from the server computer. The update addresses this vulnerability by correcting how Microsoft WinForms handles icon data.

The following table contains links to the standard entry for each vulnerability in the Common Vulnerabilities and Exposures list:

Vulnerability title CVE number Publicly disclosed Exploited
Windows Forms Information Disclosure Vulnerability CVE-2016-0047 No No

Mitigating Factors

Microsoft has not identified any mitigating factors for this vulnerability.

Workarounds

Microsoft has not identified any workarounds for this vulnerability.

Security Update Deployment

For Security Update Deployment information, see the Microsoft Knowledge Base article referenced here in the Executive Summary.

Acknowledgments

Microsoft recognizes the efforts of those in the security community who help us protect customers through coordinated vulnerability disclosure. See Acknowledgments for more information.

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (February 9, 2016): Bulletin published.

Page generated 2016-02-09 20:52-08:00.